Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.kernel
Class Configurator

    java.lang.Object
      |
      +--org.openorb.CORBA.kernel.Configurator

public class Configurator
extends java.lang.Object

This class is used to manage OpenORB XML configuration file.

Version:
  $Revision: 1.28.2.1 $ $Date: 2002/12/04 16:16:05 $
Author:
  Jerome Daniel, Chris Wood

Constructor Summary
`Configurator(java.lang.String[] args, java.util.Properties props, org.apache.avalon.framework.logger.Logger logger)` Configurator constructor.

Method Summary
`java.net.URL` | `addFragment(java.net.URL base, java.lang.String fragment)` Add a fragment to a URL
`java.lang.String[]` | `getInitializers()` Get the list of intializer class names.
`Properties` | `getProperties()` Get the fully initialized property set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configurator

    public Configurator(java.lang.String[] args,
                        java.util.Properties props,
                        org.apache.avalon.framework.logger.Logger logger)

  Configurator constructor.
  Parameters:
    `args` -
    `props` -
    `logger` - Logger

Method Detail

### getProperties

    public Properties getProperties()

  Get the fully initialized property set.

### getInitializers

    public java.lang.String[] getInitializers()

  Get the list of intializer class names.

### addFragment

    public java.net.URL addFragment(java.net.URL base,
                                    java.lang.String fragment)
                             throws java.net.MalformedURLException

  Add a fragment to a URL

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD